## pxz 4.999.99~beta3%2Bgit659fc9b

=== debian/changelog ===
pxz (4.999.99~beta3+git659fc9b-1) unstable; urgency=medium

  * New upstream version. (Closes: #706295)
  * Bump standards version to 3.9.4. 

 -- Holger Levsen <holger@debian.org>  Mon, 27 May 2013 21:02:37 +0000

pxz (4.999.99~beta2+git4774800-1) unstable; urgency=low

  * Makefile: use CPPFLAGS from environment (ie dpkg-buildflags), necessary
    for hardening flags. Thanks to Simon Ruderich (Closes: #687044)
  * Include the following patches from github:
    - use lzma_stream_encoder() in stead of lzma_easy_encoder() so that we
    can from Per Øyvind Karlsen.
    - Fix printf format for 64bit (Closes: #686729) from Simon Andersson.

 -- Holger Levsen <holger@debian.org>  Sun, 16 Sep 2012 16:39:06 +0200

pxz (4.999.9~beta+git537418b-1) unstable; urgency=low

  [ Bartlomiej Wrobel ]
  * Initial release. (Closes: #655185)

  [ Holger Levsen ]
  * Polish Bartlomiej's packaging: extend package description and incl.
    homepage and vcs-headers, bump standards version, fix debian/copyright, 
    bump compat level to get hardened build for free.
  * Remove Bartlomiej from maintainers in debian/control as his email address
    bounces. I'd be happy to co-maintain with him, but this needs a working
    email address.

 -- Holger Levsen <holger@debian.org>  Fri, 24 Aug 2012 11:45:08 +0200

## pxz 4.999.99~beta3+git659fc9b

=== debian/changelog ===
pxz (4.999.99~beta3+git659fc9b-3) unstable; urgency=medium

  * CVE-2015-1200: Fix race condition in setting permissions. Thanks to 
    Moritz Mühlenhoff for the patch. (Closes: #775306)

 -- Holger Levsen <holger@debian.org>  Tue, 27 Jan 2015 12:34:37 +0100

pxz (4.999.99~beta3+git659fc9b-2) unstable; urgency=medium

  * Bump Standards Version to 3.9.5, no changes needed.
  * Use https for URLs in debian/control and copyright.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Aug 2014 16:07:15 +0200

## pxz 4.999.99~beta5%2Bgitfcfea93

=== debian/changelog ===
pxz (4.999.99~beta5+gitfcfea93-1) unstable; urgency=medium

  * New upstream version.
  * Fix debian/patches/reproducible-build.patch to actually use the time from
    dpkg-parsechangelog and not the system time. Thanks to Reiner Herrman for
    the patch! (Closes: #805778)

 -- Holger Levsen <holger@debian.org>  Fri, 27 Nov 2015 12:42:56 +0100

pxz (4.999.99~beta4+gitae80846-2) unstable; urgency=medium

  * Modify debian/patches/reproducible-build.patch to use the date in UTC to
    avoid time zone differences. 

 -- Holger Levsen <holger@debian.org>  Fri, 15 May 2015 11:03:16 +0000

pxz (4.999.99~beta4+gitae80846-1) unstable; urgency=medium

  * New upstream version. (Closes: #714732)
  * Drop now obsolete fix-man-keep-option.patch.

 -- Holger Levsen <holger@debian.org>  Thu, 14 May 2015 16:43:30 +0200

pxz (4.999.99~beta3+git659fc9b-4) unstable; urgency=medium

  * Add debian/patches/reproducible-build.patch to modify the Makefile to
    embed the date of the last modification of debian/changelog in the binary,
    instead of the meaningless build date.
  * Bump Standards Version to 3.9.6, no changes needed.

 -- Holger Levsen <holger@debian.org>  Thu, 14 May 2015 16:25:30 +0200

## pxz 4.999.99~beta5+gitfcfea93

=== Makefile ===
NAME=pxz
VERSION=4.999.9beta
CFLAGS?=-O2 -Wall -Wshadow -Wcast-align -Winline -Wextra -Wmissing-noreturn
CFLAGS+=-fopenmp -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
LDFLAGS+=-llzma
SOURCES=$(NAME).c Makefile COPYING $(NAME).1
OBJECTS=
EXECUTE=./$(NAME) CONTENTS.cpio
BINDIR?=/usr/bin
MANDIR?=/usr/share/man

all: $(OBJECTS) $(NAME)

$(NAME): $(SOURCES) $(OBJECTS)
	$(CC) -o $(NAME) $(CPPFLAGS) $(CFLAGS) $(NAME).c $(OBJECTS) $(LDFLAGS) -DPXZ_BUILD_DATE=\"`date +%Y%m%d`\" -DPXZ_VERSION=\"$(VERSION)\"

clean:
	rm -f *.o $(NAME)

distclean: clean
	rm -f *~

dist: $(NAME)
	LANG=C
	rm -rf $(NAME)-$(VERSION)
	mkdir $(NAME)-$(VERSION)
	cp $(SOURCES) $(NAME)-$(VERSION)
	tar fcJ $(NAME)-$(VERSION).`date +%Y%m%d`git.tar.xz $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION)

install: $(NAME)
	mkdir -p $(DESTDIR)$(BINDIR)
	cp $(NAME) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	cp $(NAME).1 $(DESTDIR)$(MANDIR)/man1

ddd: $(NAME)
	ddd --args $(EXECUTE)

gdb: $(NAME)
	gdb --args $(EXECUTE)

time: $(NAME)
	time $(EXECUTE)

valgrind: $(NAME)
	valgrind -v --tool=memcheck --leak-check=yes $(EXECUTE)

=== debian/changelog ===
pxz (4.999.99~beta5+gitfcfea93-5) unstable; urgency=medium

  * d/control:
    - bump Standards-Version to 4.3.0, no changes needed.
    - add "Rules-Requires-Root: no" to support building as non-root.
  * d/copyright: use https for Format: URL.

 -- Holger Levsen <holger@debian.org>  Thu, 17 Jan 2019 19:20:58 +0100

pxz (4.999.99~beta5+gitfcfea93-4) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1, no changes needed.
  * Depend on debhelper-compat (= 11) and remove d/compat.
  * Whitespace cleanups thanks to lintian.
  * Drop .git from Vcs-Browser URL.

 -- Holger Levsen <holger@debian.org>  Sun, 16 Dec 2018 19:25:13 +0100

pxz (4.999.99~beta5+gitfcfea93-3) unstable; urgency=medium

  * debian/control: switch packaging to salsa.debian.org. Thanks to the alioth
    admins for providing such a nice service so long!
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 23:16:50 +0000

pxz (4.999.99~beta5+gitfcfea93-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * Switch Vcs-Browser URL to use /git/ instead of /gitweb/.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Sep 2017 22:46:39 +0200

=== debian/control ===
Source: pxz
Maintainer: Holger Levsen <holger@debian.org>
Section: misc
Priority: optional
Standards-Version: 4.3.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 11), liblzma-dev
Homepage: https://jnovy.fedorapeople.org/pxz/
Vcs-Git: https://salsa.debian.org/debian/pxz.git
Vcs-Browser: https://salsa.debian.org/debian/pxz

Package: pxz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parallel LZMA compressor using liblzma
 Parallel XZ is a compression utility that takes advantage of running LZMA
 compression of different parts of an input file on multiple cores and
 processors simultaneously. Its primary goal is to utilize all resources to
 speed up compression time with minimal possible influence on compression
 ratio.
